Bug 1675879 - realmd: FTBFS in Fedora rawhide/f30
Summary: realmd: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: realmd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sumit Bose
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:47 UTC by Fedora Release Engineering
Modified: 2019-02-22 10:16 UTC (History)
4 users (show)

Fixed In Version: realmd-0.16.3-19.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-22 10:16:25 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:47 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-02-11 21:48 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:47:55 UTC
realmd failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32471741


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix realmd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
realmd will be orphaned. Before branching of Fedora 31,
realmd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:47:57 UTC
Created attachment 1532634 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:47:59 UTC
Created attachment 1532635 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:48:00 UTC
Created attachment 1532636 [details]
state.log

Comment 4 Adam Williamson 2019-02-21 19:31:25 UTC
The issue here is a test failure which I looked into a bit and filed upstream:

https://gitlab.freedesktop.org/realmd/realmd/issues/19

Comment 5 Sumit Bose 2019-02-22 10:16:25 UTC
Hi Adam,

sorry for the delay, I was aware of the issue but got distracted while trying to fix this. I modified the check in the test to allow any order of the options.

bye,
Sumit


Note You need to log in before you can comment on or make changes to this bug.